Index: portal2/scripts/items/items_game.txt
===================================================================
--- portal2/scripts/items/items_game.txt	(revision 27)
+++ portal2/scripts/items/items_game.txt	(revision 28)
@@ -53,6 +53,38 @@
 	}
 	"items"
 	{
+		"0"
+		{
+			"name"		"Broken Junk To Fix Crash"
+			"item_class"	"wearable_item"
+			"item_type_name" "#P2_WearableType_Hat"
+			"item_name"	"#P2_Wearable_TopHat"
+			"item_slot"	"head"
+			"item_quality"	"unique"
+			"baseitem" 	"0"
+			"min_ilevel"	"1"
+			"max_ilevel"	"1"
+			"image_inventory"	"backpack/player/items/eggbot/eggbot_tophat"
+			"image_inventory_size_w"		"128"
+			"image_inventory_size_h"		"82"
+			"drop_type"	"none"
+			"capabilities"
+			{
+				"nameable"		"1"
+				"paintable"		"1"
+				"can_gift_wrap" 	"1"
+			}
+			"model_player_per_class"	
+			{
+				"ballbot"	"models/player/items/ballbot/ballbot_tophat.mdl"
+				"eggbot"	"models/player/items/eggbot/eggbot_tophat.mdl"
+			}
+			"used_by_classes"
+			{
+				"ballbot"	"1"
+				"eggbot"	"1"
+			}
+		}
 		"1"
 		{
 			"name"		"TopHat"
@@ -91,7 +123,6 @@
 			"item_class"	"wearable_item"
 			"item_type_name" "#P2_WearableType_Hat"
 			"item_name"	"#P2_Wearable_WCCHat"
-			//"item_description"	"#TF_Demo_Hat_1_Desc"
 			"item_slot"	"head"
 			"item_quality"	"unique"
 			"baseitem" 	"0"
@@ -182,7 +213,6 @@
 			"item_class"	"skin"
 			"item_type_name" "#P2_WearableType_Skin"
 			"item_name"	"#P2_Skin_Military"
-			//"item_description"	"#TF_Demo_Hat_1_Desc"
 			"item_slot"	"skin"
 			"item_quality"	"unique"
 			"baseitem" 	"0"
@@ -210,7 +240,6 @@
 			"item_class"	"skin"
 			"item_type_name" "#P2_WearableType_Skin"
 			"item_name"	"#P2_Skin_Burst"
-			//"item_description"	"#TF_Demo_Hat_1_Desc"
 			"item_slot"	"skin"
 			"item_quality"	"unique"
 			"baseitem" 	"0"
@@ -237,7 +266,6 @@
 			"item_class"	"skin"
 			"item_type_name" "#P2_WearableType_Skin"
 			"item_name"	"#P2_Skin_Moon"
-			//"item_description"	"#TF_Demo_Hat_1_Desc"
 			"item_slot"	"skin"
 			"item_quality"	"unique"
 			"baseitem" 	"0"
@@ -264,7 +292,6 @@
 			"item_class"	"skin"
 			"item_type_name" "#P2_WearableType_Skin"
 			"item_name"	"#P2_Skin_WCC"
-			//"item_description"	"#TF_Demo_Hat_1_Desc"
 			"item_slot"	"skin"
 			"item_quality"	"unique"
 			"baseitem" 	"0"
@@ -323,7 +350,6 @@
 			"item_class"	"gesture"
 			"item_type_name" "#P2_WearableType_Gesture"
 			"item_name"	"#P2_Gesture_Eggbot_SitSpin"
-			//"item_description"	"#TF_Demo_Hat_1_Desc"
 			"item_slot"	"gesture"
 			"item_quality"	"unique"
 			"baseitem" 	"0"
@@ -333,8 +359,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"sitspin"		// Storing gesture name here
-			"item_iconname"				"taunt_sitspin"		// Animation name for previewing
+			"brass_eject_model"			"sitspin"		
+			"item_iconname"				"taunt_sitspin"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_sit_spin_orange"
@@ -487,8 +513,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"facepalm"		// Storing gesture name here
-			"item_iconname"				"taunt_face_palm"		// Animation name for previewing
+			"brass_eject_model"			"facepalm"		
+			"item_iconname"				"taunt_face_palm"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_facepalm_orange"
@@ -513,8 +539,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"shrug"		// Storing gesture name here
-			"item_iconname"				"taunt_shrug"		// Animation name for previewing
+			"brass_eject_model"			"shrug"		
+			"item_iconname"				"taunt_shrug"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_shrug_orange"
@@ -539,8 +565,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"thumbsup"		// Storing gesture name here
-			"item_iconname"				"taunt_thumbsup"		// Animation name for previewing
+			"brass_eject_model"			"thumbsup"		
+			"item_iconname"				"taunt_thumbsup"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_thumbsup_orange"
@@ -565,8 +591,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"fistpump"		// Storing gesture name here
-			"item_iconname"				"taunt_yes_fistPump"		// Animation name for previewing
+			"brass_eject_model"			"fistpump"		
+			"item_iconname"				"taunt_yes_fistPump"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_fistpump_orange"
@@ -591,8 +617,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"pretzelwave"		// Storing gesture name here
-			"item_iconname"				"taunt_pretzelwave"		// Animation name for previewing
+			"brass_eject_model"			"pretzelwave"		
+			"item_iconname"				"taunt_pretzelwave"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_pretzelwave_orange"
@@ -617,8 +643,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"spinjump"		// Storing gesture name here
-			"item_iconname"				"taunt_Spinjump"		// Animation name for previewing
+			"brass_eject_model"			"spinjump"		
+			"item_iconname"				"taunt_Spinjump"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_spinjump_orange"
@@ -644,8 +670,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"facepalm"		// Storing gesture name here
-			"item_iconname"				"taunt_facepalm"		// Animation name for previewing
+			"brass_eject_model"			"facepalm"		
+			"item_iconname"				"taunt_facepalm"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_facepalm_blue"
@@ -670,8 +696,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"shrug"		// Storing gesture name here
-			"item_iconname"				"taunt_shrug"		// Animation name for previewing
+			"brass_eject_model"			"shrug"		
+			"item_iconname"				"taunt_shrug"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_shrug_blue"
@@ -696,8 +722,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"thumbsup"		// Storing gesture name here
-			"item_iconname"				"taunt_thumbsup"		// Animation name for previewing
+			"brass_eject_model"			"thumbsup"		
+			"item_iconname"				"taunt_thumbsup"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_thumbsup_blue"
@@ -722,8 +748,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"fistpump"		// Storing gesture name here
-			"item_iconname"				"taunt_yes_fistPump"		// Animation name for previewing
+			"brass_eject_model"			"fistpump"		
+			"item_iconname"				"taunt_yes_fistPump"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_fistpump_blue"
@@ -748,8 +774,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"headspin"		// Storing gesture name here
-			"item_iconname"				"taunt_headspin"		// Animation name for previewing
+			"brass_eject_model"			"headspin"		
+			"item_iconname"				"taunt_headspin"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_headspin_blue"
@@ -774,8 +800,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"dance"		// Storing gesture name here
-			"item_iconname"				"taunt_danceSpin"		// Animation name for previewing
+			"brass_eject_model"			"dance"		
+			"item_iconname"				"taunt_danceSpin"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_dance_spin_blue"
@@ -833,8 +859,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"basketball1"		// Storing gesture name here
-			"item_iconname"				"taunt_basketball1"		// Animation name for previewing
+			"brass_eject_model"			"basketball1"		
+			"item_iconname"				"taunt_basketball1"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_basketball1_blue"
@@ -859,8 +885,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"basketball2"		// Storing gesture name here
-			"item_iconname"				"taunt_basketball2"		// Animation name for previewing
+			"brass_eject_model"			"basketball2"		
+			"item_iconname"				"taunt_basketball2"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_basketball2_blue"
@@ -885,8 +911,8 @@
 			"image_inventory_size_w"		"128"
 			"image_inventory_size_h"		"82"
 			"drop_type"	"none"
-			"brass_eject_model"			"selfspin"		// Storing gesture name here
-			"item_iconname"				"taunt_selfspin"		// Animation name for previewing
+			"brass_eject_model"			"selfspin"		
+			"item_iconname"				"taunt_selfspin"		
 			"visuals"
 			{
 				"material_override"		"hud/commands/gesture_selfspin_orange"
@@ -1344,9 +1370,7 @@
 				"eggbot"	"1"
 			}
 		}
-		// LAST ITEM
 
-		// bundles
 		"2000"
 		{
 			"name" "First Store Release Complete Bundle"
@@ -1504,7 +1528,6 @@
 			"drop_sound"		"ui/item_bag_drop.wav"
 		}
 
-		// import from TF2
 		"10009"
 		{
 			"name"		"Potato HardHat"
@@ -9910,10 +9933,14 @@
 	{
 	
 	}
+	"recipes"
+	{
+
+	}
 	"achievement_rewards"
 	{
-		"ACH.SHOOT_THE_MOON"			"2"	// WCC Hat
-		"ACH.HI_FIVE_YOUR_PARTNER" 		"13"	// Flag WCC
+		"ACH.SHOOT_THE_MOON"			"2"	
+		"ACH.HI_FIVE_YOUR_PARTNER" 		"13"	
 	}
 	"attribute_controlled_attached_particles"
 	{
Index: portal2/bin/client.dylib
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/server.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/matchmaking.dylib
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/client.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/server.dylib
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/matchmaking.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/pak01_dir.vpk/resource/ui/econ/storeprice.res
===================================================================
--- portal2/pak01_dir.vpk/resource/ui/econ/storeprice.res	(revision 27)
+++ portal2/pak01_dir.vpk/resource/ui/econ/storeprice.res	(revision 28)
@@ -21,10 +21,10 @@
 		"font"			"EconStorePrice"
 		"textAlignment"	"east"
 		"xpos"			"0"
-		"ypos"			"88"
+		"ypos"			"83"
 		"zpos"			"15"
 		"wide"			"100"
-		"tall"			"12"
+		"tall"			"17"
 		"textinsetx"	"4"
 		"autoResize"	"1"
 		"pinCorner"		"0"	
@@ -41,10 +41,10 @@
 		"font"			"EconStorePriceOriginal"
 		"textAlignment"	"east"
 		"xpos"			"0"
-		"ypos"			"78"
+		"ypos"			"72"
 		"zpos"			"0"
 		"wide"			"100"
-		"tall"			"12"
+		"tall"			"17"
 		"textinsetx"	"4"
 		"autoResize"	"1"
 		"pinCorner"		"0"	
@@ -59,7 +59,7 @@
 		"ControlName"	"ImagePanel"
 		"fieldName"		"OG_Price_CrossOut"
 		"xpos"			"0"
-		"ypos"			"82"
+		"ypos"			"79"
 		"zpos"			"0"
 		"wide"			"90"
 		"tall"			"5"
@@ -76,10 +76,10 @@
 		"font"			"EconStorePrice"
 		"textAlignment"	"west"
 		"xpos"			"0"
-		"ypos"			"88"
+		"ypos"			"83"
 		"zpos"			"15"
 		"wide"			"40"
-		"tall"			"12"
+		"tall"			"17"
 		"textinsetx"	"8"
 		"autoResize"	"1"
 		"pinCorner"		"0"	
Index: bin/unitlib.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/studiorender.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/shaderapiempty.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vaudio_miles.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/scenefilecache.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vtex_dll.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/bsppack.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/shaderapidx9.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vguimatsurface.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/filesystem_stdio.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/soundemittersystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vstdlib_s.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vscript.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vgui2.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/win64/steam_api64.lib
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: bin/win64/steam_api64.lib
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: bin/win64/steam_api64.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: bin/win64/steam_api64.dll
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream


Property changes on: bin/win64
___________________________________________________________________
Added: bugtraq:number
   + true

Index: bin/datacache.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/launcher.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/steam_api.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/localize.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/serverplugin_empty.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/mdllib.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/bugreporter_filequeue.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/engine.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/stdshader_dx9.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/tier0_s.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vstdlib.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/steamclient.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vphysics.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/serverbrowser.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/valve_avi.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/adminserver.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/tier0.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/filesystemopendialog.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/soundsystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/stdshader_dbg.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/bugreporter_public.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/materialsystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/inputsystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/texturecompile_dll.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
